-- Covert Operations Globals
-- Author: sman
-- DateCreated: 12/21/17 12:58:48 PM
--------------------------------------------------------------

-- =================================================================================================================================
-- Global data


-- =================================================================================================================================
-- Mission global data
					
CONDUCT_RECON = 1
POISON_WATER = 2
SPREAD_RUMORS = 3
PILLAGE_IMPROVEMENT = 4
SABOTAGE_PRODUCTION = 5
STEAL_GOLD = 6
SPREAD_PLAGUE = 7
DESTROY_BUILDING = 8
RECRUIT_PARTISANS = 9
SPREAD_PROPAGANDA = 10
CAUSE_RESISTANCE = 11
CAUSE_ANARCHY = 12
STEAL_CITY = 13
ABORT_MISSION = 14

--					Mission IDX     =     Mission Name,					Success,	Survive,	Incident,	%RemainInPlace,	Level
g_MissionList = {	[CONDUCT_RECON] = { "Conduct Reconnaisance",		50,			75,			10,			75,				1 },	-- Level 1 Missions		
					[POISON_WATER] = { "Poison Water",					50,			75,			50,			75,				1 },
					[SPREAD_RUMORS] = { "Spread Rumors",				50,			75,			10,			75,				1 }, 
					[PILLAGE_IMPROVEMENT] = { "Pillage Improvement",	50,			75,			10,			75,				1 },								

					[SABOTAGE_PRODUCTION] = { "Sabotage Production",	50,			75,			10,			75,				2 },	-- Level 2 Missions
					[STEAL_GOLD] = { "Steal Gold",						50,			75,			10,			75,				2 },
					[SPREAD_PLAGUE] = { "Spread Plague",				50,			75,			10,			75,				2 },

					[DESTROY_BUILDING] = { "Destroy Building",			50,			75,			10,			75,				3 },	-- Level 3 Missions
					[RECRUIT_PARTISANS] = { "Recruit Partisans",		50,			75,			10,			75,				3 },
					[SPREAD_PROPAGANDA] = { "Spread Propaganda",		50,			75,			10,			75,				3 },		
					
					[CAUSE_RESISTANCE] = { "Cause Resistance",			50,			75,			10,			50,				4 },	-- Level 4 Missions
					[CAUSE_ANARCHY] = { "Cause Anarchy",				50,			75,			10,			50,				4 }, 	
					[STEAL_CITY] = { "Steal City",						50,			75,			10,			25,				4 }, 				
					
					[ABORT_MISSION] = { "Abort Mission",			   100,			100,		0,			100,			0 }  }

g_NumMissions = #g_MissionList
g_iMinimumMissionAdjustment = 20															-- Lower floor of how low an adjusted percentage chance of mission success can occur. Chance of success will never be below this amount

g_ValidMissions = { [CONDUCT_RECON] = { 0, 0, 0, 0}, [POISON_WATER] = { 0, 0, 0, 0}, [SPREAD_RUMORS] = { 0, 0, 0, 0}, [PILLAGE_IMPROVEMENT] = { 0, 0, 0, 0}, 
					[SABOTAGE_PRODUCTION] = { 0, 0, 0, 0}, [STEAL_GOLD] = { 0, 0, 0, 0}, [SPREAD_PLAGUE] = { 0, 0, 0, 0}, [DESTROY_BUILDING] = { 0, 0, 0, 0}, 
					[RECRUIT_PARTISANS] = { 0, 0, 0, 0}, [SPREAD_PROPAGANDA] = { 0, 0, 0, 0}, [CAUSE_RESISTANCE] = { 0, 0, 0, 0}, [CAUSE_ANARCHY] = { 0, 0, 0, 0}, 
					[STEAL_CITY] = { 0, 0, 0, 0}, [ABORT_MISSION] = { 0, 0, 0, 0} }

-- =================================================================================================================================
-- Buildings Influence global data  - building constants are the building ID

BUILDING_BARRACKS = GameInfoTypes.BUILDING_BARRACKS											-- Training buildings: 1%
BUILDING_KREPOST = GameInfoTypes.BUILDING_KREPOST
BUILDING_ARMORY = GameInfoTypes.BUILDING_ARMORY												
BUILDING_MILITARY_ACADEMY = GameInfoTypes.BUILDING_MILITARY_ACADEMY
BUILDING_ARSENAL = GameInfoTypes.BUILDING_ARSENAL

BUILDING_WALLS = GameInfoTypes.BUILDING_WALLS												-- Defensive buildings: 2%
BUILDING_CASTLE = GameInfoTypes.BUILDING_CASTLE
BUILDING_MILITARY_BASE = GameInfoTypes.BUILDING_MILITARY_BASE
BUILDING_CONSTABLE = GameInfoTypes.BUILDING_CONSTABLE
BUILDING_POLICE_STATION = GameInfoTypes.BUILDING_POLICE_STATION

BUILDING_PALACE = GameInfoTypes.BUILDING_PALACE												-- Special buildings: varies
BUILDING_COURTHOUSE = GameInfoTypes.BUILDING_COURTHOUSE

BUILDING_MUGHAL_FORT = GameInfoTypes.BUILDING_MUGHAL_FORT									-- Wonders: varies
BUILDING_HEROIC_EPIC = GameInfoTypes.BUILDING_HEROIC_EPIC
BUILDING_HIMEJI_CASTLE = GameInfoTypes.BUILDING_HIMEJI_CASTLE
BUILDING_FORBIDDEN_PALACE = GameInfoTypes.BUILDING_FORBIDDEN_PALACE
BUILDING_WALLS_OF_BABYLON = GameInfoTypes.BUILDING_WALLS_OF_BABYLON
BUILDING_GREAT_WALL = GameInfoTypes.BUILDING_GREAT_WALL
BUILDING_INTELLIGENCE_AGENCY = GameInfoTypes.BUILDING_INTELLIGENCE_AGENCY
BUILDING_GREAT_FIREWALL = GameInfoTypes.BUILDING_GREAT_FIREWALL

BUILDING_CO_TAVERNA = GameInfoTypes.BUILDING_CO_TAVERNA										-- Covert Operations Buildings: varies
BUILDING_CO_PREFECTURE = GameInfoTypes.BUILDING_CO_PREFECTURE
BUILDING_CO_MAGISTRATE = GameInfoTypes.BUILDING_CO_MAGISTRATE
BUILDING_CO_INQUISITION = GameInfoTypes.BUILDING_CO_INQUISITION
BUILDING_CO_SECRET_SERVICE = GameInfoTypes.BUILDING_CO_SECRET_SERVICE
BUILDING_CO_GENDARMERIE = GameInfoTypes.BUILDING_CO_GENDARMERIE
BUILDING_CO_INTEL_FUSION_CENTER = GameInfoTypes.BUILDING_CO_INTEL_FUSION_CENTER
BUILDING_CO_NAT_RECON_OFFICE = GameInfoTypes.BUILDING_CO_NAT_RECON_OFFICE

-- Table containing the Building ID [1], and the Adjustment [2] - adjustment is the % chance to impact mission; total is 68
g_tBuildingList = {	[1] = { BUILDING_BARRACKS, 1 }, [2] = { BUILDING_KREPOST, 1 }, [3] = { BUILDING_ARMORY, 1 }, [4] = { BUILDING_MILITARY_ACADEMY, 1 }, 
					[5] = { BUILDING_ARSENAL, 1 }, [6] = { BUILDING_WALLS, 2 }, [7] = { BUILDING_CASTLE, 2 }, [8] = { BUILDING_MILITARY_BASE, 2 }, 
					[9] = { BUILDING_CONSTABLE, 2 }, [10] = { BUILDING_POLICE_STATION, 2 },	[11] = { BUILDING_PALACE, 5 }, [12] = { BUILDING_COURTHOUSE, 2 }, 
					[13] = { BUILDING_MUGHAL_FORT, 5 }, [14] = { BUILDING_HEROIC_EPIC, 5 }, [15] = { BUILDING_HIMEJI_CASTLE, 4 }, [16] = { BUILDING_FORBIDDEN_PALACE, 2 }, 
					[17] = { BUILDING_WALLS_OF_BABYLON, 2 }, [18] = { BUILDING_GREAT_WALL, 2}, [19] = { BUILDING_INTELLIGENCE_AGENCY, 5 }, [20] = { BUILDING_GREAT_FIREWALL, 5 }, 					
					[21] = { BUILDING_CO_TAVERNA, 1 }, [22] = { BUILDING_CO_PREFECTURE, 1 }, [23] = { BUILDING_CO_MAGISTRATE, 2 }, [24] = { BUILDING_CO_INQUISITION, 2 }, 
					[25] = { BUILDING_CO_SECRET_SERVICE, 3 }, [26] = { BUILDING_CO_GENDARMERIE, 2 }, [27] = { BUILDING_CO_INTEL_FUSION_CENTER, 3 }, 
					[28] = { BUILDING_CO_NAT_RECON_OFFICE, 2 }  }
					

-- =================================================================================================================================
-- Defined Constants

directions = {DirectionTypes.DIRECTION_NORTHEAST, DirectionTypes.DIRECTION_EAST, DirectionTypes.DIRECTION_SOUTHEAST,
              DirectionTypes.DIRECTION_SOUTHWEST, DirectionTypes.DIRECTION_WEST, DirectionTypes.DIRECTION_NORTHWEST}

YES = 1
NO = 0

BARBARIAN_PLAYER = GameDefines.BARBARIAN_PLAYER


g_tMonths = {"January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December" }

MECHANIZED_INFANTRY = GameInfoTypes.UNIT_MECHANIZED_INFANTRY
WW2_INFANTRY = GameInfoTypes.UNIT_INFANTRY
WW1_INFANTRY = GameInfoTypes.UNIT_GREAT_WAR_INFANTRY
RIFLEMAN = GameInfoTypes.UNIT_RIFLEMAN
MUSKETMAN = GameInfoTypes.UNIT_MUSKETMAN
PIKEMAN = GameInfoTypes.UNIT_PIKEMAN
SPEARMAN = GameInfoTypes.UNIT_SPEARMAN
WARRIOR = GameInfoTypes.UNIT_WARRIOR

LandInfantry = { MECHANIZED_INFANTRY, WW2_INFANTRY, WW1_INFANTRY, RIFLEMAN, MUSKETMAN, PIKEMAN, SPEARMAN, WARRIOR }