-- Covert Operations Mission_Launch_Button
-- Author: sman
-- DateCreated: 12/21/17 8:14:35 AM
--------------------------------------------------------------

--print ("CO Mission Launch Button")

include("IconSupport.lua")


function COButtonFunction1(playerID, unitID)												-- "Launch CO Button" callback function
	local pPlayer = Players[playerID]														-- Get basic player, unit, plot data for processing
	local pUnit = pPlayer:GetUnitByID(unitID)												-- Default Cover Operator is the currently "selected" unit	
	
	if (pUnit:GetMoves() > 0) and (not pUnit:IsEmbarked()) then								-- Tests for when to enable the mission button, i.e. still have moves, not embarked	
		LuaEvents.CovertMissionPopup()														-- Button was pressed, so launch the Mission popup window
		--Controls.COBackground1:SetHide(true)												-- Need to work on when/how best to hide the Launch Button after it has been pressed
	end
end
Controls.COButton1:RegisterCallback( Mouse.eLClick, COButtonFunction1 )						-- Register the callback for this button
IconHookup( 35, 45, "SMAN_COVERT_OPS_ACTION_ATLAS", Controls.COImage1 )						-- Add the icon to the button
Controls.COBackground1:SetHide(true)														-- By default, hide the button until it is turned on elsewhere


function CheckUnitSelection(playerID, unitID, x, y, k, isSelected)							-- Check the unit to see if we need to add the "Launch CO Button" to the unit panel
	local pPlayer = Players[playerID]														-- Get the player pointer; based off the playerID
	if pPlayer:IsHuman() and isSelected then												-- Only process human player with a valid selected unit
		local pUnit = pPlayer:GetUnitByID(unitID)											-- Get the unit pointer; based off the unitID value
		-- Add the "Launch Covert Op" button to the unit panel only if the unit is a CO unit, has remaining move points, and is not embarked
		if (GameInfo.Units[pUnit:GetUnitType()].IsCovertOperatorUnit ~= 0) and (pUnit:GetMoves() > 0) and (not pUnit:IsEmbarked()) then	
			Controls.COBackground1:SetHide(false)											-- Display the Box context
			Controls.COButton1:SetDisabled(false)											-- Enable the launch button
			local sCOToolTip = "Conduct a Covert Operation"									-- Give a name to the TT: a variable ATM in case we need to modify it later
			Controls.COButton1:LocalizeAndSetToolTip("" .. sCOToolTip .. "")				-- Update the TT string for the launch button
			--print("--> Unit " .. pUnit:GetName() .. " is a CO at location: " .. pUnit:GetX() .. " / " .. pUnit:GetY())
		else
			--print("--> Unit " .. pUnit:GetName() .. " is NOT a SO at location: " .. pUnit:GetX() .. " / " .. pUnit:GetY())			
		end
	else
		Controls.COBackground1:SetHide(true)												-- Ensure the launch button is hidden for non-CO units who have the ability to launch a mission		
	end
end
Events.UnitSelectionChanged.Add( CheckUnitSelection )