-- Covert Operations 30_Process_Operator_Destiny.lua
-- Author: sman
-- DateCreated: 01/08/18 9:19:33 AM
--------------------------------------------------------------

function GetOperatorOutcome(missionNumber, pUnit, pTargetCity)
	local iSurviveResult = NO																-- Default result is operator did not survive
	local iBuildingInfluence = GetBuildingInfluence(pTargetCity)							-- Get how many defensive buildings are in the target city

	--  Adjust results based on level (competence) of Operator
	local iOperatorLevel = GameInfo.Units[pUnit:GetUnitType()].IsCovertOperatorUnit or 1	-- Get the level of the operator unit; default to 1
	local iAdjustmentByOperatorLevel = math.floor((iOperatorLevel - 1) * 5)					-- Level 1 gets no bonus, Level 4 gets 20% better chance of positive result
		
	-- Get operator status result
	local iAdjustmentLimit = math.floor( (g_MissionList[missionNumber][3] + iAdjustmentByOperatorLevel) * ((100 - iBuildingInfluence) / 100) )	-- Building influence if a num from 0..68, representing what % the chance of success is lowered by certain buildings in the city
	if iAdjustmentLimit < g_iMinimumMissionAdjustment then iAdjustmentLimit = g_iMinimumMissionAdjustment end	-- ensure there is at least some chance of success
	--print("Survival adjustments. Normal success percent: " .. g_MissionList[missionNumber][3] .. "   Operator Adjustment: " .. iAdjustmentByOperatorLevel .. "   Building Adjustment: " .. iBuildingInfluence .. "    Final Adjustment Limit: " .. iAdjustmentLimit)
	if math.random(1, 100) < iAdjustmentLimit then											-- Was Covert Mission successful?  Based on adjusted mission probability [2]
		iSurviveResult = YES
	end		
	--print("====> Results.  survive: " .. SurviveResult )
	return iSurviveResult
end



function GetOperatorDestiny(tMissionResultData, missionNumber, pPlayer, pUnit, pTargetCity)
	--	This part of the function deals with what happens to the Operative and the international response: common actions, regardless of the actual mission
	local SurviveResult = NO
	local iOperativeExfiltrated = NO	
	local NotificationType = 1																-- Set up defaults for the AddNotification function
	local NotificationStringFading = ""														-- Clear notification strings for later appending
	local NotificationStringLong = ""
	
	SurviveResult = GetOperatorOutcome(missionNumber, pUnit, pTargetCity)

	if SurviveResult == YES then															-- Did the Operative survive the mission?  If so, return him to the friendly capital	
		local iOperatorLevel = GameInfo.Units[pUnit:GetUnitType()].IsCovertOperatorUnit or 1	-- Get the level of the operator unit; default to 1
		local iAdjustmentByOperatorLevel = math.floor((iOperatorLevel - 1) * 5)				-- Level 1 gets no bonus, Level 4 gets 20% better chance to Remain In Place (RIP)
		if math.random(1, 100) < (g_MissionList[missionNumber][5] + iOperatorLevel) then	-- Can operative remain in place? Higher levels better chance to RIP
			NotificationStringLong = NotificationStringLong .. "Your operative survived the mission, and is attempting to elude local authorities."
			pUnit:SetMoves(0)																-- Ensure the unit has no movement points left
		else																				-- Operator must exfiltrate to capital
			NotificationStringLong = NotificationStringLong .. "Your operative survived the mission, but was forced to exfiltrate back to your capital."
			local pCapitalCity = pPlayer:GetCapitalCity()									-- Get friendly capital city
			pUnit:SetXY(pCapitalCity:GetX(), pCapitalCity:GetY())							-- Get set the unit's X & Y to the capital's X & Y
			pUnit:JumpToNearestValidPlot()													-- Adjust actual placement of the unit, base on the nearest empty tile
			pUnit:SetMoves(0)																-- Ensure the unit has no movement points left
			iOperativeExfiltrated = YES
		end		
																		
	else																					-- Operative did not survive the mission						
		NotificationStringLong = NotificationStringLong .. "Your operative did not survive the mission."
		pUnit:Kill()																		-- Remove the unit from the game
		NotificationType = 2																-- Changes notification to the "unit killed" version
	end	
	
	tMissionResultData[1] = NotificationType												-- Built return table data
	tMissionResultData[2] = tMissionResultData[2] .. "  " .. NotificationStringFading
	tMissionResultData[3] = tMissionResultData[3] .. "  " .. NotificationStringLong
	tMissionResultData[7] = SurviveResult
	
end