-- Unit_Namer.lua
-- Author: sman
-- DateCreated: 01/08/18 2:10:46 PM
--------------------------------------------------------------

--print("Covert Operator UnitNamer Script Loaded")

--=================================================================================================================================================================
-- Global Variables
--=================================================================================================================================================================

g_sInitials = "ABCDEFGHIJKLMNOPQRSTUVWXY"													-- Dropping these letters: Z

g_tLastName = {	"Alberti", "Barlow", "Walsingham", "Hanzo", "Gerard", "Babington", "Goemon", "Graziani", "Fawkes", "Honeyman", "Hale", "Corday", "Casanova",
				"Pinkerton", "Melville", "Boyd", "Reilly", "Jung-Geun", "Dansey", "Hari", "Hoover", "Berg", "Duquesne", "von Stauffenberg", "Spaak", "Donovan",
				"Swiss", "Knowlton", "Schulmeister", "Wickham", "Marlowe", "Mulligan", "Andre", "Armistead", "Tallmadge", "Hurgronje", "Motojiro", "Silber", "Burnham",
				"Lawrence", "de Victorica", "Schragmueller", "Lodi", "Muller", "Roggen", "Buschman", "Breeckow", "Ries", "Mayer", "Zender", "Philby", "Mawby",
				"Kipling", "Bond", "Holmes", "Smiley", "Palmer", "Curtis", "Lindemann", "Rider", "Imran", "Argyros", "Hamilton", "Marchant", "Shirazi",
				"Drongo", "Ambler", "Ryan", "Adams", "Beresford", "Blonde", "Bourne", "Corelius", "Craig", "Morpurgo", "Fedora", "Helm", "Rapp",
				"Blaise", "Killmaster", "Orsini", "Pettigrew", "McAlpine", "Quest", "Quiller", "Durell", "Fisher", "Snape", "Templar", "Metcalfe", "Donohue",
				"Rathode", "Ford", "Carter", "Steed", "Vine", "Callan", "Garak", "Palmer", "Lynd", "Bristow", "Archer", "Enlish", "Powers" }

--=================================================================================================================================================================
-- MAIN FUNCTION
--=================================================================================================================================================================

function doNamingOfUnits(playerID, unitID)
	local pPlayer			= Players[playerID]												-- Player owning unit to be processed
	local pUnit				= pPlayer:GetUnitByID(unitID)									-- Specific Unit instance to be processed
	local sNewUnitName		= ""															-- Name string to give to the unit; defaul to null string

	if not pPlayer then																		-- Check for missing keys, bail early if anything is missing
		print("In doNamingOfUnits.  Missing playerID;  UnitID: " .. unitID)
		return
	elseif not pUnit then
		print("In doNamingOfUnits.  playerID: " .. playerID .. ";  Missing UnitID")
		return
	end

	if (pUnit:HasName()) then																-- If unit already has name, keep same name, exit early	
		local sUnitOldName = pUnit:GetNameNoDesc()											-- Unique short name for this unit 
		pUnit:SetName(sUnitOldName)															-- Reassign old name to new unit needing the name (disembark, etc.)
		LuaEvents.SerialEventUpdateTooltip(playerID, unitID)								-- Update tooltip with existing unit name - doesn't work...  :/
		return
	end	

	if GameInfo.Units[pUnit:GetUnitType()].IsCovertOperatorUnit ~= 0 then					-- Element 'IsCovertOperatorUnit' added to Units table, default=0. Equals 1 for Covert Operator units			
		local iInitial = math.random(1, #g_sInitials)										-- Random string position in length of g_sInitials string
		local sFirstName = string.sub(g_sInitials, iInitial, iInitial) .. "."				-- Give the CO at least 1 initial	
		for iDX = 1, 2 do																	-- Then add 0-2 more initials
			if math.random(1, 100) < 33 then												-- xx% chance to add an initial
				local iInitial = math.random(1, #g_sInitials)
				sFirstName = sFirstName .. string.sub(g_sInitials, iInitial, iInitial) .. "."	
			end
		end				
		local sLastName = g_tLastName[math.random(1, #g_tLastName)]							-- Pick any last name in "g_tLastName" table		
		sNewUnitName = sFirstName .. " " .. sLastName										-- Build the full name				
	else
		return																				-- Return early for non-CO units, no renaming taking place
	end
	
	if not sNewUnitName then																-- Just in case new name generation fails
		sNewUnitName = "J.D. Smythe"
	end
	
	pUnit:SetName(sNewUnitName)																-- Rename the current unit
	LuaEvents.SerialEventUpdateTooltip(playerID, unitID)									-- Update the unit tooltop; doesn't work...  :/	
end
Events.SerialEventUnitCreated.Add( doNamingOfUnits )
